var assert = require('assert');
pwf = require('pwf.js');


describe('struct object', function() {
	before(require('./utils/create_env'));

	it('constructor', function() {
		var
			dummy = pwf.jquery('<div class="asdf">test test test</div>'),
			obj;

		pwf.reg_class('test.struct', {
			'parents':['jq.struct'],

			'proto':{
				'els':[
					{
						'name':'base',
						'tag':'block',
						'cname':['hello', 'world'],
						'els':['head']
					}
				]
			}
		});

		dummy.appendTo(pwf.body);

		obj = pwf.create('test.struct', {'parent':pwf.body});
		obj2 = pwf.create('test.struct', {
			'parent':dummy,
			'tag_overtake':true,
			'tag_content':'base.head'
		});

		assert.notStrictEqual(obj.get_el('base'), null);
		assert.strictEqual(obj.get_el('base').hasClass('hello'), true);
		assert.strictEqual(obj.get_el('base').hasClass('world'), true);
		assert.notStrictEqual(obj.get_el('base.head'), null);

		assert.equal(obj2.get_el('base.head').html(), 'test test test');
	});
});
